SND_PCM_HW_PARAM_FIR(9)

NAME
snd_pcm_hw_param_first - refine config space and return minimum value

SYNOPSIS

int snd_pcm_hw_param_first(struct snd_pcm_substream * pcm, struct snd_pcm_hw_params * params, snd_pcm_hw_param_t var, int * dir);

ARGUMENTS

pcm
    PCM instance

params
    the hw_params instance

var
    parameter to retrieve

dir
    pointer to the direction (-1,0,1) or NULL

DESCRIPTION

Inside configuration space defined by params remove from var all values > minimum. Reduce configuration space accordingly.

RETURN

The minimum, or a negative error code on failure.

COPYRIGHT